Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 2 Apr 2018 18:46:57 +0000

Hi Stephane,

How about modifying the sentence to:

“ HRW and AC-DF mechanisms are independent of each other. Therefore, a PE MAY support either HRW or AC-DF independently or MAY support both of them together. A PE MAY also support AC-DF capability along with existing DF election mechanism per [RFC7432].”

Basically, what we are saying is that these two mechanisms are independent of each other and they don’t have to be implemented together. If an operator wants compliancy with this document, then it needs to specify if they want full compliancy (which is implementation of both mechanisms) or partial compliancy (which is implementation of one of the mechanisms).

Regards,
Ali

From: "[email-masked]" <[email-masked]>
Date: Wednesday, March 28, 2018 at 11:50 PM
To: Cisco Employee <[email-masked]>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Ali,

This paragraph points that HRW and AC-DF may be USED independently, but this does say that a vendor OS may implement HRW or AC-DF or both.
I see two issues if it is not clarified:

  *   When an operator pushes a RFP requesting support of this draft, both HRW and AC-DF support are defacto required
  *   From a WG standpoint, to progress further the document we need an implementation that supports fully the draft so both HRW and AC-DF.

My point is really on the implementation side, not on the usage.

Brgds,

From: Ali Sajassi (sajassi) [mailto:[email-masked]]
Sent: Wednesday, March 28, 2018 18:44
To: LITKOWSKI Stephane OBS/OINIS; Rabadan, Jorge (Nokia - US/Mountain View); [email-masked]
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Stephane,

In section 2.3, it says that:

Both, HRW and AC-DF MAY be used independently or simultaneously.
     The AC-DF capability MAY be used with the default DF Election
     algorithm too.
Do you want further clarification? If so, please suggest text.

Thanks,
Ali

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, March 28, 2018 at 12:50 AM
To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Jorge,

More inline

From: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]
Sent: Wednesday, March 28, 2018 00:38
To: LITKOWSKI Stephane OBS/OINIS; [email-masked]<mailto:[email-masked]>
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Stephane,

Please see in-line.
Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, March 27, 2018 at 8:48 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Authors,

Speaking as a WG member, I have two comments:

-          As I have pointed during the BESS meeting, it would be good to have a clear definition of what is a DF type vs a capability.
[JORGE] yes, we can clarify this in the next rev along with any other comments made during this LC.

-          I think it would be good to have the draft telling that the implementation of HRW and AC-DF are optionals.
[JORGE] Is that necessary? Since the draft is not updating RFC7432, aren’t those options implicitly optional for RFC7432 implementations?
[SLI] I was more thinking about people implementing this draft (future RFC). Should they implement both HRW and AC-DF ? I don’t think so.

Brgds,

Stephane

From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, March 26, 2018 16:21
To: [email-masked]<mailto:[email-masked]>
Subject: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hello working group,

This email starts a two-week Working Group Last Call on draft-ietf-bess-evpn-df-election-framework-00 [1]

This poll runs until *the 9th of April*.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an Author or a Contributor of this Document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The Document won't progress without answers from all the Authors and Contributors.

Currently no IPR has been disclosed against this Document.

If you are not listed as an Author or a Contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

We are also polling for any existing implementation.

Thank you

Matthew, Stéphane

bess chairs

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-df-election-framework/

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

---

From: <[email-masked]>
Date: Tue, 3 Apr 2018 07:58:25 +0000

Hi Ali,

Thanks, it looks good

Brgds,

From: Ali Sajassi (sajassi) [mailto:[email-masked]]
Sent: Monday, April 02, 2018 20:47
To: LITKOWSKI Stephane OBS/OINIS; Rabadan, Jorge (Nokia - US/Mountain View); [email-masked]
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Stephane,

Regards,
Ali

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, March 28, 2018 at 11:50 PM
To: Cisco Employee <[email-masked]<mailto:[email-masked]>>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Ali,

Brgds,

From: Ali Sajassi (sajassi) [mailto:[email-masked]]
Sent: Wednesday, March 28, 2018 18:44
To: LITKOWSKI Stephane OBS/OINIS; Rabadan, Jorge (Nokia - US/Mountain View); [email-masked]<mailto:[email-masked]>
Subject: Re: [bess] WGLC on draft-ietf-bess-evpn-df-election-framework

Hi Stephane,

Thanks,
Ali

Hi Jorge,

More inline

Hi Stephane,

Please see in-line.
Thanks.
Jorge

Hi Authors,

Brgds,

Stephane

Hello working group,

Thank you

Matthew, Stéphane

bess chairs

Thank you.

Thank you.

Thank you.

Thank you.